{% extends "layout.html" %}

{% block title %}Audio Classification{% endblock %}
{% set custom_color = "255, 132, 0" %}
{% block bg_color %}rgba(255, 132, 0, .1){% endblock %}
{% block content %}
<div class="container mt-3">
    <!-- Title -->
    <div class="row justify-content-center mb-5">
        <div class="col text-center">
            <h1 class="mb-0">🎙️ Audio-Based Emotion Detection</h1>
        </div>
    </div>

    <!-- Audio Classification Form -->
    <div class="row justify-content-center">
        <div class="col-md-6 col-lg-5 mb-4">
            <div class="card shadow-custom rounded-4">
                <div class="card-header text-center">
                    Upload Audio for Classification
                </div>
                <div class="card-body">
                    <form method="POST" action="{{ url_for('audio_classification') }}" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="audioFile" class="form-label">Select Audio File</label>
                            <input class="form-control" type="file" id="audioFile" name="audio_file" accept=".wav,.mp3" required>
                        </div>
                        <button type="submit" class="btn btn-primary btn-audio w-100">
                            <i class="fa-solid fa-microphone me-2"></i> Classify Audio
                        </button>
                    </form>
                    {% if classification_result %}
                    <div class="alert alert-info alert-audio mt-4">
                        <strong>Classification Result:</strong> {{ classification_result }}
                    </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
